Public Member Functions | Protected Member Functions | Static Protected Member Functions | Protected Attributes | Private Member Functions | List of all members
MWAWPropertyHandlerDecoder Class Reference

## Public Member Functions
| MWAWPropertyHandlerDecoder (MWAWPropertyHandler *hdl=nullptr)
| constructor given a MWAWPropertyHandler More...
bool | readData (librevenge::RVNGBinaryData const &encoded)
| tries to read the data More...

## Protected Member Functions
bool | readInsertElement (librevenge::RVNGInputStream &input)
| reads an simple element More...
bool | readInsertElementWithList (librevenge::RVNGInputStream &input)
| reads an element with a property list More...
bool | readCharacters (librevenge::RVNGInputStream &input)
| reads a set of characters More...
bool | readPropertyListVector (librevenge::RVNGInputStream &input, librevenge::RVNGPropertyListVector &vect)
| low level: reads a property vector: number of properties list followed by list of properties list More...
bool | readPropertyList (librevenge::RVNGInputStream &input, librevenge::RVNGPropertyList &lists)
| low level: reads a property list: number of properties followed by list of properties More...
bool | readProperty (librevenge::RVNGInputStream &input, librevenge::RVNGPropertyList &list)
| low level: reads a property and its value, adds it to list More...
bool | readString (librevenge::RVNGInputStream &input, librevenge::RVNGString &s)
| low level: reads a string : size and string More...

## Static Protected Member Functions
static bool | readLong (librevenge::RVNGInputStream &input, long &val)
| low level: reads an long value More...

## Protected Attributes
MWAWPropertyHandler * | m_handler
| the streamfile More...

## Private Member Functions
| MWAWPropertyHandlerDecoder (MWAWPropertyHandlerDecoder const &orig)=delete
MWAWPropertyHandlerDecoder & | operator= (MWAWPropertyHandlerDecoder const &)=delete

## Constructor & Destructor Documentation

## ◆ MWAWPropertyHandlerDecoder() [1/2]

MWAWPropertyHandlerDecoder::MWAWPropertyHandlerDecoder | ( | MWAWPropertyHandler * | hdl = `nullptr` | ) |
| inline explicit

constructor given a MWAWPropertyHandler

## ◆ MWAWPropertyHandlerDecoder() [2/2]

MWAWPropertyHandlerDecoder::MWAWPropertyHandlerDecoder | ( | MWAWPropertyHandlerDecoder const & | orig | ) |
| private delete

## Member Function Documentation

## ◆ operator=()

MWAWPropertyHandlerDecoder& MWAWPropertyHandlerDecoder::operator= | ( | MWAWPropertyHandlerDecoder const & |  | ) |
| private delete

## ◆ readCharacters()

bool MWAWPropertyHandlerDecoder::readCharacters | ( | librevenge::RVNGInputStream & | input | ) |
| inline protected

reads a set of characters

## ◆ readData()

bool MWAWPropertyHandlerDecoder::readData | ( | librevenge::RVNGBinaryData const & | encoded | ) |
| inline

tries to read the data

Referenced by MWAWPropertyHandler::checkData(), and MWAWPropertyHandler::readData().

## ◆ readInsertElement()

bool MWAWPropertyHandlerDecoder::readInsertElement | ( | librevenge::RVNGInputStream & | input | ) |
| inline protected

reads an simple element

## ◆ readInsertElementWithList()

bool MWAWPropertyHandlerDecoder::readInsertElementWithList | ( | librevenge::RVNGInputStream & | input | ) |
| inline protected

reads an element with a property list

## ◆ readLong()

static bool MWAWPropertyHandlerDecoder::readLong | ( | librevenge::RVNGInputStream & | input,
|  | long & | val
| ) |  |
| inline static protected

low level: reads an long value

## ◆ readProperty()

bool MWAWPropertyHandlerDecoder::readProperty | ( | librevenge::RVNGInputStream & | input,
|  | librevenge::RVNGPropertyList & | list
| ) |  |
| inline protected

low level: reads a property and its value, adds it to list

## ◆ readPropertyList()

bool MWAWPropertyHandlerDecoder::readPropertyList | ( | librevenge::RVNGInputStream & | input,
|  | librevenge::RVNGPropertyList & | lists
| ) |  |
| inline protected

low level: reads a property list: number of properties followed by list of properties

## ◆ readPropertyListVector()

bool MWAWPropertyHandlerDecoder::readPropertyListVector | ( | librevenge::RVNGInputStream & | input,
|  | librevenge::RVNGPropertyListVector & | vect
| ) |  |
| inline protected

low level: reads a property vector: number of properties list followed by list of properties list

## ◆ readString()

bool MWAWPropertyHandlerDecoder::readString | ( | librevenge::RVNGInputStream & | input,
|  | librevenge::RVNGString & | s
| ) |  |
| inline protected

low level: reads a string : size and string

## Member Data Documentation

## ◆ m_handler

MWAWPropertyHandler* MWAWPropertyHandlerDecoder::m_handler
| protected

the streamfile

The documentation for this class was generated from the following file:

- MWAWPropertyHandler.cxx